"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Module2 = _interopRequireDefault(require("../Module"));

var _ExtendableContainer = _interopRequireDefault(require("../base/ExtendableContainer"));

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var _reactMaterialize = require("react-materialize");

require("./RouterServiceInfo.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var RouterServiceInfo =
/*#__PURE__*/
function (_Module) {
  _inherits(RouterServiceInfo, _Module);

  function RouterServiceInfo(props) {
    var _this;

    _classCallCheck(this, RouterServiceInfo);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(RouterServiceInfo).call(this, props));
    _this.state = {
      modid: '',
      route: '',
      routeName: ''
    };
    return _this;
  }

  _createClass(RouterServiceInfo, [{
    key: "removeRoute",
    value: function removeRoute(modid, route) {
      this.RoutingSystem.removeRoute(modid, route);
      this.CoreSystem.refresh(true);
      this.forceUpdate();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var routes = this.RoutingSystem.getRoutes();
      return _react.default.createElement("div", {
        className: ''
      }, _react.default.createElement("div", {
        className: "row"
      }, this.__renderID()), _react.default.createElement("div", {
        className: "row"
      }, _react.default.createElement("div", {
        className: "col s4"
      }, "Current View :"), _react.default.createElement("div", {
        className: "col s8"
      }, this.RoutingSystem.getCurrentView())), _react.default.createElement("div", {
        className: "row"
      }, _react.default.createElement(_reactMaterialize.Table, {
        className: "white",
        bordered: true,
        hoverable: true,
        responsive: true
      }, _react.default.createElement("thead", null, _react.default.createElement("tr", null, _react.default.createElement("th", null), _react.default.createElement("th", null, "ModID"), _react.default.createElement("th", null, "Route"), _react.default.createElement("th", null, "Name"))), _react.default.createElement("tbody", null, routes.map(function (route, key) {
        return _react.default.createElement("tr", {
          key: route.route
        }, _react.default.createElement("td", null, _react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
          icon: "trash",
          onClick: function onClick() {
            return _this2.removeRoute(route.id, route.route);
          }
        })), _react.default.createElement("td", null, route.id), _react.default.createElement("td", null, route.route), _react.default.createElement("td", null, route.routeName));
      }), _react.default.createElement("tr", null, _react.default.createElement("td", null, _react.default.createElement("button", {
        onClick: function onClick() {
          _this2.RoutingSystem.addRoute(_this2.state.route, _this2.state.modid, _this2.state.routeName);

          _this2.setState({
            route: '',
            modid: ''
          });
        }
      }, "Add")), _react.default.createElement("td", null, _react.default.createElement("input", {
        type: "text",
        value: this.state.modid,
        onChange: function onChange(e) {
          return _this2.setState({
            modid: e.target.value
          });
        }
      })), _react.default.createElement("td", null, _react.default.createElement("input", {
        type: "text",
        value: this.state.route,
        onChange: function onChange(e) {
          return _this2.setState({
            route: e.target.value
          });
        }
      })), _react.default.createElement("td", null, _react.default.createElement("input", {
        type: "text",
        value: this.state.routeName,
        onChange: function onChange(e) {
          return _this2.setState({
            routeName: e.target.value
          });
        }
      })))))), _get(_getPrototypeOf(RouterServiceInfo.prototype), "render", this).call(this));
    }
  }]);

  return RouterServiceInfo;
}(_Module2.default);

RouterServiceInfo.Category = "Services";
var _default = RouterServiceInfo;
exports.default = _default;