"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Module2 = _interopRequireDefault(require("../Module"));

var _Container = _interopRequireDefault(require("./Container"));

require("./ExtendableContainer.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ExtendableContainer =
/*#__PURE__*/
function (_Module) {
  _inherits(ExtendableContainer, _Module);

  function ExtendableContainer(props) {
    var _this;

    _classCallCheck(this, ExtendableContainer);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ExtendableContainer).call(this, props));
    _this.state = {
      extended: false
    };
    return _this;
  }

  _createClass(ExtendableContainer, [{
    key: "toggle",
    value: function toggle(e) {
      this.setState({
        extended: !this.state.extended
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var cprops = {};

      for (var i in _Container.default.Inputs) {
        cprops[i] = this[i].value;
      } // console.log(this.props, this.header.value);


      return !this.props.inverse ? _react.default.createElement("div", {
        key: 'openIt' + this.header.value,
        className: "ExtendableContainer ".concat(Object.getPrototypeOf(this) === ExtendableContainer.prototype ? this.props.className : ''),
        style: this.props.style
      }, _react.default.createElement("div", {
        onClick: function onClick() {
          return _this2.toggle();
        },
        className: "ExtendableContainerHeader"
      }, this.header.value || 'asd'), _react.default.createElement("div", {
        className: "ExtendableContainerContent ".concat(this.state.extended ? 'show' : '')
      }, _react.default.createElement(_Container.default, _extends({}, cprops, {
        style: {
          padding: 3
        }
      }), this.props.children || '')), _get(_getPrototypeOf(ExtendableContainer.prototype), "render", this).call(this, false)) : _react.default.createElement("div", {
        key: 'closeIt' + this.header.value,
        className: "ExtendableContainer ".concat(Object.getPrototypeOf(this) === ExtendableContainer.prototype ? this.props.className : ''),
        style: this.props.style
      }, _react.default.createElement("div", {
        className: "ExtendableContainerContent ".concat(this.state.extended ? 'show' : '')
      }, _get(_getPrototypeOf(ExtendableContainer.prototype), "render", this).call(this)), _react.default.createElement("div", {
        onClick: function onClick() {
          return _this2.toggle();
        },
        className: "ExtendableContainerHeader"
      }, this.header.value), _get(_getPrototypeOf(ExtendableContainer.prototype), "render", this).call(this, false));
    }
  }]);

  return ExtendableContainer;
}(_Module2.default);

ExtendableContainer.Inputs = _objectSpread({}, _Container.default.Inputs, {
  header: {
    type: _Module2.default.Types.Text,
    defaultValue: "Header"
  }
});
ExtendableContainer.Category = "Basic";
var _default = ExtendableContainer;
exports.default = _default;