"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Module2 = _interopRequireDefault(require("../Module"));

var _index = _interopRequireDefault(require("../index.js"));

var _reactMaterialize = require("react-materialize");

require("./BasicLayout.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var BasicLayout =
/*#__PURE__*/
function (_Module) {
  _inherits(BasicLayout, _Module);

  function BasicLayout(props) {
    var _this;

    _classCallCheck(this, BasicLayout);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(BasicLayout).call(this, props));

    _this.ghost(_this.getId() + "BLTOP");

    _this.ghost(_this.getId() + "BLLEFT");

    _this.ghost(_this.getId() + "BLRIGHT");

    _this.ghost(_this.getId() + "BLCONTENT");

    _this.ghost(_this.getId() + "BLNavbar", "Navbar");

    _this.ModuleSystem.refresh();

    return _this;
  }

  _createClass(BasicLayout, [{
    key: "ghost",
    value: function ghost(id) {
      var ctor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "Container";
      if (this.ModuleSystem.has(id)) return;
      var module = {
        children: [],
        ctor: ctor,
        id: id,
        key: "key" + Math.random()
      };
      this.ModuleSystem.loadModule(module);
    }
  }, {
    key: "render",
    value: function render() {
      var Container = _index.default.Container,
          Navbar = _index.default.Navbar;
      var lmenusize = this.leftMenu.value;
      var rmenusize = this.rightMenu.value;
      var contentsize = 12 - lmenusize - rmenusize;
      return [_react.default.createElement(Container, {
        width: "100%",
        className: 'container',
        key: 'BL'
      }, _react.default.createElement(_reactMaterialize.Row, {
        className: 'BLtop'
      }, _react.default.createElement(_reactMaterialize.Col, {
        s: 12
      }, this.ModuleSystem.render(this.getId() + "BLNavbar"))), _react.default.createElement(_reactMaterialize.Row, {
        className: 'BLmain'
      }, _react.default.createElement(_reactMaterialize.Col, {
        s: lmenusize,
        className: 'BLLeftMenu'
      }, this.ModuleSystem.render(this.getId() + "BLLEFT")), _react.default.createElement(_reactMaterialize.Col, {
        s: contentsize,
        className: 'BLContent'
      }, this.ModuleSystem.render(this.getId() + "BLCONTENT")), _react.default.createElement(_reactMaterialize.Col, {
        s: rmenusize,
        className: 'BLRightMenu'
      }, this.ModuleSystem.render(this.getId() + "BLRIGHT"))), _react.default.createElement(_reactMaterialize.Row, {
        className: 'BLfooter'
      }, _react.default.createElement(_reactMaterialize.Col, {
        s: lmenusize
      }, "asd"), _react.default.createElement(_reactMaterialize.Col, {
        s: contentsize
      }, "eqw"), _react.default.createElement(_reactMaterialize.Col, {
        s: rmenusize
      }, "123"))), _get(_getPrototypeOf(BasicLayout.prototype), "render", this).call(this)];
    }
  }]);

  return BasicLayout;
}(_Module2.default);

BasicLayout.EditPosition = 'top-center';
BasicLayout.Inputs = _objectSpread({}, _Module2.default.Inputs, {
  leftMenu: {
    type: _Module2.default.Types.Number,
    required: true,
    defaultValue: 3
  },
  rightMenu: {
    type: _Module2.default.Types.Number,
    required: true,
    defaultValue: 3
  }
});
BasicLayout.Category = "Layout";
var _default = BasicLayout;
exports.default = _default;