"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Module2 = _interopRequireDefault(require("../Module"));

var _User = _interopRequireDefault(require("../../systems/services/User"));

var _Link = _interopRequireDefault(require("./Link.js"));

require("./Navbar.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Navbar =
/*#__PURE__*/
function (_Module) {
  _inherits(Navbar, _Module);

  function Navbar(props) {
    var _this;

    _classCallCheck(this, Navbar);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Navbar).call(this, props));
    _this.state = {};
    return _this;
  }

  _createClass(Navbar, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      // 	</div>;
      return _react.default.createElement("nav", {
        className: "navbar navbar-expand-md navbar-dark bg-dark"
      }, _react.default.createElement("a", {
        className: "navbar-brand",
        href: "#"
      }, _react.default.createElement("img", {
        src: this.logo.value,
        width: "30",
        height: "30",
        className: "d-inline-block align-top",
        alt: ""
      }), this.brand.value), _react.default.createElement("button", {
        className: "navbar-toggler",
        type: "button",
        "data-toggle": "collapse",
        "data-target": "#NAVID",
        "aria-controls": "NAVID",
        "aria-expanded": "false",
        "aria-label": "Toggle navigation"
      }, _react.default.createElement("span", {
        className: "navbar-toggler-icon"
      })), _react.default.createElement("div", {
        className: "collapse navbar-collapse",
        id: "NAVID"
      }, _react.default.createElement("ul", {
        className: "navbar-nav"
      }, (this.headers.value || []).map(function (item, index) {
        return _react.default.createElement("li", {
          className: "nav-item active",
          key: index
        }, _react.default.createElement(_Link.default, {
          link: _this2.links.value[index],
          className: "nav-link"
        }, item));
      }))), _get(_getPrototypeOf(Navbar.prototype), "render", this).call(this, true));
    }
  }]);

  return Navbar;
}(_Module2.default);

Navbar.EditPosition = "top-right";
Navbar.Inputs = {
  logo: {
    type: _Module2.default.Types.Text,
    defaultValue: '/logo.png'
  },
  brand: {
    type: _Module2.default.Types.Text,
    defaultValue: 'Bootstrap'
  },
  headers: {
    type: _Module2.default.Types.Array,
    defaultValue: ['Home', 'Test', 'Contact'],
    arrType: _Module2.default.Types.Text
  },
  links: {
    type: _Module2.default.Types.Array,
    defaultValue: ['home', 'test', 'contact'],
    arrType: _Module2.default.Types.Text
  }
};
Navbar.Category = "Layout";
var _default = Navbar;
exports.default = _default;