"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Module2 = _interopRequireDefault(require("../Module"));

require("./Form.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var UNIT_REGEX = /[A-Z]/g;

var Form =
/*#__PURE__*/
function (_Module) {
  _inherits(Form, _Module);

  function Form(props) {
    var _this;

    _classCallCheck(this, Form);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Form).call(this, props));
    _this.state = {};

    _this.object.onUpdate(function (e) {
      return _this.forceUpdate();
    });

    return _this;
  }

  _createClass(Form, [{
    key: "submit",
    value: function submit(e) {
      e.preventDefault();
      this.formData.set(this.state);
      if (this.props.onSubmit) this.props.onSubmit(this.state);
      return false;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var inputs = Object.keys(this.object.value || {}).map(function (key, index) {
        _this2.state[key] = _this2.state[key] || _this2.object.value[key];
        return _react.default.createElement("div", {
          className: "form-group",
          key: index
        }, _react.default.createElement("label", null, key), _react.default.createElement("input", {
          type: "text",
          className: "form-control",
          placeholder: key,
          onChange: function onChange(e) {
            return _this2.setState(_defineProperty({}, key, e.target.value));
          },
          value: _this2.state[key]
        }));
      });
      return _react.default.createElement("div", null, _react.default.createElement("form", {
        className: "Form ".concat(Object.getPrototypeOf(this) === Form.prototype ? this.props.className || '' : ''),
        onSubmit: function onSubmit(e) {
          return _this2.submit(e);
        }
      }, inputs, _react.default.createElement("button", {
        type: "submit",
        className: "btn btn-primary"
      }, this.props.buttonText || "Submit"), _get(_getPrototypeOf(Form.prototype), "render", this).call(this)));
    }
  }]);

  return Form;
}(_Module2.default);

Form.EditPosition = "center";
Form.Inputs = _objectSpread({}, _Module2.default.Inputs, {
  object: {
    type: _Module2.default.Types.Link,
    required: false
  }
});
Form.Outputs = {
  // ADD Extensions
  // ...ExtendedModule.Inputs
  formData: {}
};
Form.Category = "Theme";
var _default = Form;
exports.default = _default;