import React from 'react';
import Logger from './Logger';

import Module from '../modules/Module'
import Service from '../modules/Service'
import Systems from './Systems'

class Import { 
	constructor() {
	}
	
	import(obj, namespace) { 
		for(var i in obj) {
			if (obj[i].prototype instanceof Service) {
				if(namespace)obj[i].Namespace = namespace;
				Systems.addService(obj[i]);
			} else if (obj[i].prototype instanceof Module) {
				if(namespace)obj[i].Namespace = namespace;
				Systems.addModule(obj[i]);
			} else  if (typeof obj[i] === "object") {
				this.import(obj[i], namespace);
			}
		}
	}
}

export default new Import();